# tmr_tag_auth.h File Reference

Mercury API - Tag Authentication Interface. More...

`#include "tmr_gen2.h"`

## Classes

struct | TMR_TagAuthentication

## Typedefs

typedef struct TMR_TagAuthentication | TMR_TagAuthentication

## Functions

TMR_Status | TMR_TA_init_gen2 (TMR_TagAuthentication *auth, TMR_GEN2_Password password)
TMR_Status | TMR_TA_init_gen2_Denatran_IAV_writeCredentials (TMR_TagAuthentication *auth, uint8_t idLength, uint8_t *tafId, uint8_t len, uint8_t *data)
TMR_Status | TMR_TA_init_gen2_Denatran_IAV_writeSecCredentials (TMR_TagAuthentication *auth, uint8_t dataLength, uint8_t *data, uint8_t len, uint8_t *credentials)

## Detailed Description

Mercury API - Tag Authentication Interface.

Author:
  Brian Fiegel

Date:
  4/18/2009

## Typedef Documentation

typedef struct TMR_TagAuthentication TMR_TagAuthentication

Authentication data for RFID tag protocols.

## Function Documentation

TMR_Status TMR_TA_init_gen2 | ( | TMR_TagAuthentication * | auth,
|  | TMR_GEN2_Password | password |
| ) |  |  |

Initialize a TMR_TagAuthentication structure as a Gen2 password.

Parameters:

  | auth | Pointer to the structure to initialize.
  | password | The password 32-bit Gen2 password value.

TMR_Status TMR_TA_init_gen2_Denatran_IAV_writeCredentials | ( | TMR_TagAuthentication * | auth,
|  | uint8_t | idLength,
|  | uint8_t * | tagId,
|  | uint8_t | len,
|  | uint8_t * | data |
| ) |  |  |

Initialize a TMR_TagAuthentication structure as Denatran IAV write credential

Parameters:

  | auth | Pointer to the structure to initialize.
  | data | Gen2 Denatran IAV write credential

TMR_Status TMR_TA_init_gen2_Denatran_IAV_writeSecCredentials | ( | TMR_TagAuthentication * | auth,
|  | uint8_t | length,
|  | uint8_t * | data,
|  | uint8_t | len,
|  | uint8_t * | credentials |
| ) |  |  |

Initialize a TMR_TagAuthentication structure as Denatran IAV write credential

Parameters:

  | auth | Pointer to the structure to initialize.
  | data | Gen2 Denatran IAV write credential